<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Frameset//EN""http://www.w3.org/TR/REC-html40/frameset.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc on Tue Jan 11 10:54:23 PST 2005 -->
<TITLE>
: Class  SQLConstraintsFactoryImpl
</TITLE>
<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../../../../stylesheet.css" TITLE="Style">
</HEAD>
<BODY BGCOLOR="white">

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_top"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SQLConstraintsFactoryImpl.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/ReferenceConstraintImpl.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/SQLConstraintsPackageImpl.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SQLConstraintsFactoryImpl.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;<A HREF="#inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl">INNER</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
org.eclipse.wst.rdb.internal.models.sql.constraints.impl</FONT>
<BR>
Class  SQLConstraintsFactoryImpl</H2>
<PRE>
java.lang.Object
  |
  +--org.eclipse.emf.common.notify.impl.BasicNotifierImpl
        |
        +--org.eclipse.emf.ecore.impl.BasicEObjectImpl
              |
              +--org.eclipse.emf.ecore.impl.EObjectImpl
                    |
                    +--org.eclipse.emf.ecore.impl.EModelElementImpl
                          |
                          +--org.eclipse.emf.ecore.impl.EFactoryImpl
                                |
                                +--<B>org.eclipse.wst.rdb.internal.models.sql.constraints.impl.SQLConstraintsFactoryImpl</B>
</PRE>
<DL>
<DT><B>All Implemented Interfaces:</B> <DD>org.eclipse.emf.ecore.EFactory, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.common.notify.Notifier, <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html">SQLConstraintsFactory</A></DD>
</DL>
<HR>
<DL>
<DT>public class <B>SQLConstraintsFactoryImpl</B><DT>extends org.eclipse.emf.ecore.impl.EFactoryImpl<DT>implements <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html">SQLConstraintsFactory</A></DL>

<P>
<!-- begin-user-doc -->
 An implementation of the model <b>Factory</b>.
 <!-- end-user-doc -->
<P>
<HR>

<P>
<!-- ======== INNER CLASS SUMMARY ======== -->

<A NAME="inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Inner classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="inner_classes_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Inner classes inherited from class org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>org.eclipse.emf.ecore.InternalEObject.EStore</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- =========== FIELD SUMMARY =========== -->

<A NAME="fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>ELAST_EOBJECT_FLAG</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.eclipse.wst.rdb.internal.models.sql.constraints.SQLConstraintsFactory"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from interface org.eclipse.wst.rdb.internal.models.sql.constraints.<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html">SQLConstraintsFactory</A></B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html#eINSTANCE">eINSTANCE</A></CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="fields_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Fields inherited from interface org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>EOPPOSITE_FEATURE_BASE</CODE></TD>
</TR>
</TABLE>
&nbsp;
<!-- ======== CONSTRUCTOR SUMMARY ======== -->

<A NAME="constructor_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Constructor Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/SQLConstraintsFactoryImpl.html#SQLConstraintsFactoryImpl()">SQLConstraintsFactoryImpl</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Creates and instance of the factory.</TD>
</TR>
</TABLE>
&nbsp;
<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=2><FONT SIZE="+2">
<B>Method Summary</B></FONT></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.String</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/SQLConstraintsFactoryImpl.html#convertToString(org.eclipse.emf.ecore.EDataType, java.lang.Object)">convertToString</A></B>(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                java.lang.Object&nbsp;instanceValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;org.eclipse.emf.ecore.EObject</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/SQLConstraintsFactoryImpl.html#create(org.eclipse.emf.ecore.EClass)">create</A></B>(org.eclipse.emf.ecore.EClass&nbsp;eClass)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/Assertion.html">Assertion</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/SQLConstraintsFactoryImpl.html#createAssertion()">createAssertion</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/CheckConstraint.html">CheckConstraint</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/SQLConstraintsFactoryImpl.html#createCheckConstraint()">createCheckConstraint</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/ForeignKey.html">ForeignKey</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/SQLConstraintsFactoryImpl.html#createForeignKey()">createForeignKey</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;java.lang.Object</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/SQLConstraintsFactoryImpl.html#createFromString(org.eclipse.emf.ecore.EDataType, java.lang.String)">createFromString</A></B>(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                 java.lang.String&nbsp;initialValue)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/Index.html">Index</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/SQLConstraintsFactoryImpl.html#createIndex()">createIndex</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/IndexMember.html">IndexMember</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/SQLConstraintsFactoryImpl.html#createIndexMember()">createIndexMember</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/PrimaryKey.html">PrimaryKey</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/SQLConstraintsFactoryImpl.html#createPrimaryKey()">createPrimaryKey</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/UniqueConstraint.html">UniqueConstraint</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/SQLConstraintsFactoryImpl.html#createUniqueConstraint()">createUniqueConstraint</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/SQLConstraintsFactoryImpl.html#getPackage()">getPackage</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>Deprecated.</B>&nbsp;<I></I>&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/SQLConstraintsFactoryImpl.html#getSQLConstraintsPackage()">getSQLConstraintsPackage</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<!-- begin-user-doc -->
 <!-- end-user-doc --></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.EFactoryImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.EFactoryImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>basicSetEPackage, eGet, eInverseAdd, eInverseRemove, eIsSet, eSet, eUnset, getEPackage, setEPackage</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.EModelElementImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eClass, eContainerFeatureID, eDeliver, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.impl.BasicEObjectImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicSet, eDynamicUnset, eGet, eInternalResource, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSetResource, eSetStore, eSetting, eStore, toString</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eNotificationRequired, eNotify</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_java.lang.Object"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from class java.lang.Object</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>equals, getClass, hashCode, notify, notifyAll, wait, wait, wait</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EFactory"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EFactory</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getEPackage, setEPackage</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EModelElement"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EModelElement</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>getEAnnotation, getEAnnotations</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.EObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.EObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.common.notify.Notifier"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.common.notify.Notifier</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eAdapters, eDeliver, eNotify, eSetDeliver</CODE></TD>
</TR>
</TABLE>
&nbsp;<A NAME="methods_inherited_from_class_org.eclipse.emf.ecore.InternalEObject"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#EEEEFF" CLASS="TableSubHeadingColor">
<TD><B>Methods inherited from interface org.eclipse.emf.ecore.InternalEObject</B></TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE>eNotificationRequired</CODE></TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ FIELD DETAIL =========== -->


<!-- ========= CONSTRUCTOR DETAIL ======== -->

<A NAME="constructor_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Constructor Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="SQLConstraintsFactoryImpl()"><!-- --></A><H3>
SQLConstraintsFactoryImpl</H3>
<PRE>
public <B>SQLConstraintsFactoryImpl</B>()</PRE>
<DL>
<DD>Creates and instance of the factory.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></DL>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" CELLPADDING="3" CELLSPACING="0" WIDTH="100%">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TD COLSPAN=1><FONT SIZE="+2">
<B>Method Detail</B></FONT></TD>
</TR>
</TABLE>

<A NAME="create(org.eclipse.emf.ecore.EClass)"><!-- --></A><H3>
create</H3>
<PRE>
public org.eclipse.emf.ecore.EObject <B>create</B>(org.eclipse.emf.ecore.EClass&nbsp;eClass)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>create</CODE> in interface <CODE>org.eclipse.emf.ecore.EFactory</CODE><DT><B>Overrides:</B><DD><CODE>create</CODE> in class <CODE>org.eclipse.emf.ecore.impl.EFactoryImpl</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="createFromString(org.eclipse.emf.ecore.EDataType, java.lang.String)"><!-- --></A><H3>
createFromString</H3>
<PRE>
public java.lang.Object <B>createFromString</B>(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                         java.lang.String&nbsp;initialValue)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>createFromString</CODE> in interface <CODE>org.eclipse.emf.ecore.EFactory</CODE><DT><B>Overrides:</B><DD><CODE>createFromString</CODE> in class <CODE>org.eclipse.emf.ecore.impl.EFactoryImpl</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="convertToString(org.eclipse.emf.ecore.EDataType, java.lang.Object)"><!-- --></A><H3>
convertToString</H3>
<PRE>
public java.lang.String <B>convertToString</B>(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                        java.lang.Object&nbsp;instanceValue)</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE>convertToString</CODE> in interface <CODE>org.eclipse.emf.ecore.EFactory</CODE><DT><B>Overrides:</B><DD><CODE>convertToString</CODE> in class <CODE>org.eclipse.emf.ecore.impl.EFactoryImpl</CODE></DL>
</DD>
</DL>
<HR>

<A NAME="createAssertion()"><!-- --></A><H3>
createAssertion</H3>
<PRE>
public <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/Assertion.html">Assertion</A> <B>createAssertion</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html#createAssertion()">createAssertion</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html">SQLConstraintsFactory</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.constraints.SQLConstraintsFactory</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>Assertion</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="createCheckConstraint()"><!-- --></A><H3>
createCheckConstraint</H3>
<PRE>
public <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/CheckConstraint.html">CheckConstraint</A> <B>createCheckConstraint</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html#createCheckConstraint()">createCheckConstraint</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html">SQLConstraintsFactory</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.constraints.SQLConstraintsFactory</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>Check Constraint</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="createForeignKey()"><!-- --></A><H3>
createForeignKey</H3>
<PRE>
public <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/ForeignKey.html">ForeignKey</A> <B>createForeignKey</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html#createForeignKey()">createForeignKey</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html">SQLConstraintsFactory</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.constraints.SQLConstraintsFactory</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>Foreign Key</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="createUniqueConstraint()"><!-- --></A><H3>
createUniqueConstraint</H3>
<PRE>
public <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/UniqueConstraint.html">UniqueConstraint</A> <B>createUniqueConstraint</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html#createUniqueConstraint()">createUniqueConstraint</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html">SQLConstraintsFactory</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.constraints.SQLConstraintsFactory</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>Unique Constraint</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="createPrimaryKey()"><!-- --></A><H3>
createPrimaryKey</H3>
<PRE>
public <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/PrimaryKey.html">PrimaryKey</A> <B>createPrimaryKey</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html#createPrimaryKey()">createPrimaryKey</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html">SQLConstraintsFactory</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.constraints.SQLConstraintsFactory</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>Primary Key</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="createIndex()"><!-- --></A><H3>
createIndex</H3>
<PRE>
public <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/Index.html">Index</A> <B>createIndex</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html#createIndex()">createIndex</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html">SQLConstraintsFactory</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.constraints.SQLConstraintsFactory</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>Index</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="createIndexMember()"><!-- --></A><H3>
createIndexMember</H3>
<PRE>
public <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/IndexMember.html">IndexMember</A> <B>createIndexMember</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html#createIndexMember()">createIndexMember</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html">SQLConstraintsFactory</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.constraints.SQLConstraintsFactory</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>a new object of class '<em>Index Member</em>'.</DL>
</DD>
</DL>
<HR>

<A NAME="getSQLConstraintsPackage()"><!-- --></A><H3>
getSQLConstraintsPackage</H3>
<PRE>
public <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A> <B>getSQLConstraintsPackage</B>()</PRE>
<DL>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
<DT><B>Specified by: </B><DD><CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html#getSQLConstraintsPackage()">getSQLConstraintsPackage</A></CODE> in interface <CODE><A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsFactory.html">SQLConstraintsFactory</A></CODE></DL>
</DD>
<DD>Following copied from interface: <CODE>org.eclipse.wst.rdb.internal.models.sql.constraints.SQLConstraintsFactory</CODE></DD>
<DD><DL>
<DT><B>Returns:</B><DD>the package supported by this factory.</DL>
</DD>
</DL>
<HR>

<A NAME="getPackage()"><!-- --></A><H3>
getPackage</H3>
<PRE>
public static <A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/SQLConstraintsPackage.html">SQLConstraintsPackage</A> <B>getPackage</B>()</PRE>
<DL>
<DD><B>Deprecated.</B>&nbsp;<I></I>&nbsp;
<P>
<DD><!-- begin-user-doc -->
 <!-- end-user-doc --><DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>

<!-- ========== START OF NAVBAR ========== -->
<A NAME="navbar_bottom"><!-- --></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/SQLConstraintsFactoryImpl.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/ReferenceConstraintImpl.html"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../../../../org/eclipse/wst/rdb/internal/models/sql/constraints/impl/SQLConstraintsPackageImpl.html"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../../../../index.html" TARGET="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="SQLConstraintsFactoryImpl.html" TARGET="_top"><B>NO FRAMES</B></A></FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY: &nbsp;<A HREF="#inner_classes_inherited_from_class_org.eclipse.emf.common.notify.impl.BasicNotifierImpl">INNER</A>&nbsp;|&nbsp;<A HREF="#fields_inherited_from_class_org.eclipse.emf.ecore.impl.EObjectImpl">FIELD</A>&nbsp;|&nbsp;<A HREF="#constructor_summary">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL: &nbsp;FIELD&nbsp;|&nbsp;<A HREF="#constructor_detail">CONSTR</A>&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<!-- =========== END OF NAVBAR =========== -->

<HR>

</BODY>
</HTML>
